Автор Тема: Verlihub on Debian 9 Stretch installing руководство по установке на русском язык  (Прочитано 82 раз)

0 Пользователей и 1 Гость просматривают эту тему.

Оффлайн Дмитрий

  • Global Moderator
  • Jr. Member
  • *****
  • Сообщений: 59
  • Country: ua
  • Karma: +1/-0
  • Пол: Мужской
  • ICQ: 41488731
Устанавливая Verlihub, можно наткнуться на неожиданные проблемы, и их решение, что и выкладываю сюда, чтобы не потерять.

В новом 9-том Debian Stretch с превеликим удивлением обнаружил, что уже нет в её репозитарии обычного всем мускула, официальное название MySQL  ;D

приходится устанавливать репазитание самого Оракла)
благо у них это автоматизировали отдельным пакетом:

Код: *** ссылки только после регистрации или входа
wget https://dev.mysql.com/get/mysql-apt-config_0.8.7-1_all.deb
устанавливаем его

Код: *** ссылки только после регистрации или входа
dpkg -i mysql-apt-config_0.8.7-1_all.deb
выбираем желаемую версию и обязательно сопутствующие мускулу библиотеки ниже оставляем Enable (:


Обнавляем репозитарии

Код: *** ссылки только после регистрации или входа
apt update
и вуаля у нас уже есть в репе mysql-server и libmysqlclient-dev mysql-client

устанавливаем все нужные пакеты для VerliHub:

Код: *** ссылки только после регистрации или входа
apt install libpcre3-dev libssl-dev mysql-server libmysqlclient-dev mysql-client g++ libgeoip-dev gettext libasprintf-dev make cmake curl python2.7-dev liblua5.2-dev lua-socket-dev libperl-dev ldconfig

так же как видим есть пакет ldconfig , он нам нужен для подкачки библиотек в папке  /usr/local/lib где будут хранится библиотеки верлика
Для этого прописываем отдельной строкой в /ldconfig.conf  и запускаем командой ldconfig для обработки

Далее уже по описанию WiKi Verlihub

смотрим все команды запуска:

Код: *** ссылки только после регистрации или входа
vh -h
запускаем установку и отладку для первого запуска:

Код: *** ссылки только после регистрации или входа
vh -i
И вперед (:

PS.  есть вариант просто установить официальную MariaBD с репозитания Debian, но тогда нада немного другие пакеты с ней ставить
Например, нада вместо libmysqlclient-dev, которого нет конечно там, ставить соответсвенно libmariadbclient-dev-compat

вот полная команда уставки с MariaBD 10.1

Код: *** ссылки только после регистрации или входа
apt install mariadb-server mariadb-client libmariadbclient-dev-compat libpcre3-dev libssl-dev g++ libgeoip-dev gettext libasprintf-dev make cmake curl python2.7-dev liblua5.2-dev lua-socket-dev libperl-dev ldconfig
все остальное должно само подтянуться зависимостями

и тоже самое... 

 ;) работает, хотя RoLeX бесится), что не поддерживаем MariaBD :)  псих одиночка, что с него возьмешь  :P
« Последнее редактирование: Октября 18, 2017, 01:03:56 am от Дмитрий »


  • admin.ix-ua@jabber.ua
Новости из мира *** ссылки только после регистрации или входа